unit View.ReportRequirements;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.Menus, WEBLib.ExtCtrls, WEBLib.StdCtrls,
  WEBLib.JSON, Auth.Service, XData.Web.Client, WebLib.Storage,
  ConnectionModule, App.Types, Vcl.StdCtrls, Vcl.Controls;

type
  TFReportRequirements = class(TWebForm)
    tmrScrollTop: TWebTimer;
    clntReportRequirements: TXDataWebClient;
    pnlMessage: TWebPanel;
    lblMessage: TWebLabel;
    btnCloseNotification: TWebButton;
    edtCompanyAccountName: TWebEdit;
    edtInQuickBooks: TWebEdit;
    edtCompanyName: TWebEdit;
    dtpOrderDate: TWebDateTimePicker;
    dtpProofDate: TWebDateTimePicker;
    dtpShipDate: TWebDateTimePicker;
    WebLabel1: TWebLabel;
    WebLabel2: TWebLabel;
    edtShipVia: TWebEdit;
    edtQuantity: TWebEdit;
    edtPrice: TWebEdit;
    edtInvoiceTo: TWebEdit;
    edtShipTo: TWebEdit;
    edtPONumber: TWebEdit;
    edtJobName: TWebEdit;
    edtQuickbooksItem: TWebEdit;
    dtpArtDue: TWebDateTimePicker;
    dtpPlateDue: TWebDateTimePicker;
    dtpMountDue: TWebDateTimePicker;
    edtArtLocation: TWebEdit;
    WebLabel3: TWebLabel;
    cbBWCopy: TWebCheckBox;
    cbColorCopy: TWebCheckBox;
    cbPlates: TWebCheckBox;
    cbDiskOrCD: TWebCheckBox;
    cbSampleCarton: TWebCheckBox;
    edtDimensionalLayout: TWebEdit;
    edtEmail: TWebEdit;
    edtFTP: TWebEdit;
    edtExistingCuttingDie: TWebEdit;
    edtOther: TWebEdit;
    edtRefArtPrintCard: TWebEdit;
    edtRefArtAPDF: TWebEdit;
    WebLabel4: TWebLabel;
    edtRSCL: TWebEdit;
    edtRSCW: TWebEdit;
    edtRSCD: TWebEdit;
    edtDieCutNo: TWebEdit;
    edtAcrossNo: TWebEdit;
    edtAroundNo: TWebEdit;
    edtCADFile: TWebEdit;
    edtRSCStyle: TWebEdit;
    cbExcaliburDie: TWebCheckBox;
    WebLabel5: TWebLabel;
    cbLoose: TWebCheckBox;
    cbStickyBak: TWebCheckBox;
    cbFullMount: TWebCheckBox;
    cbStripMount: TWebCheckBox;
    edtLoose: TWebEdit;
    edtStripMount: TWebEdit;
    edtStantdardSetup: TWebEdit;
    edtCustomBacking: TWebEdit;
    edtCustomAdhesive: TWebEdit;
    WebLabel6: TWebLabel;
    edtCylinderSize: TWebEdit;
    edtMachineIndent: TWebEdit;
    edtClemson: TWebEdit;
    edtCrossHairs: TWebEdit;
    WebButton1: TWebButton;
    WebLabel7: TWebLabel;
    edtFax: TWebEdit;
    edtProofOther: TWebEdit;
    edtProofShipTo: TWebEdit;
    edtProofEmail: TWebEdit;
    edtEmailAttn: TWebEdit;
    edtFaxAttn: TWebEdit;
    cbFullSizePanel: TWebCheckBox;
    cbPrintCard: TWebCheckBox;
    cbWideFormat: TWebCheckBox;
    cbPDFFile: TWebCheckBox;
    cbArtApprovedAsIs: TWebCheckBox;
    dtpApprovedDate: TWebDateTimePicker;
    WebLabel8: TWebLabel;
    WebLabel9: TWebLabel;
    edtThickness: TWebEdit;
    edtPlateMaterial: TWebEdit;
    edtJobNumber: TWebEdit;
    edtSpecialInstructions: TWebEdit;
    procedure WebFormCreate(Sender: TObject);
    procedure HideNotification();
    procedure ShowNotification(Notification: string);
  private
    FAgencyCode: string;
    FCurrentReportType: string;
    FSelectProc: TSelectProc;
    //FJSONProc1: TJSONProc1;
  public
    class function CreateForm(AElementID, orderInfo: string): TWebForm;
  end;

var
  FReportRequirements: TFReportRequirements;

implementation

{$R *.dfm}

uses
  View.Home;

class function TFReportRequirements.CreateForm(AElementID, orderInfo: string): TWebForm;
begin
  Application.CreateForm(TFReportRequirements, AElementID, Result,
    procedure(AForm: TObject)
    begin
      with TFReportRequirements(AForm) do
      begin
        HideNotification;
      end;
    end
  );
end;

procedure TFReportRequirements.WebFormCreate(Sender: TObject);
begin
   if not DMConnection.ApiConnection.Connected then
   begin
    DMConnection.ApiConnection.OpenAsync;
    console.log('report requirements connection open')
   end;
end;

procedure TFReportRequirements.HideNotification;
begin
  pnlMessage.ElementHandle.hidden := True;
end;

procedure TFReportRequirements.ShowNotification(Notification: string);
begin
  if Notification <> '' then
  begin
    lblMessage.Caption := Notification;
    pnlMessage.ElementHandle.hidden := False;
  end;
end;


initialization
  RegisterClass(TFReportRequirements);

end.

